python3-smbus no longer builds - Does anyone have an idea?


Matthias Klein
 

Hello,

 

the python3-smbus package no longer builds.

 

The install step ends with the following error message:

ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.

 

Does anyone have an idea what is the cause?

 

Many greetings,

Matthias

 


Konrad Weihmann <kweihmann@...>
 

Hi Matthias,

this is cause by merged PEP-517 changes.
To make it build again just inject

PIP_INSTALL_PACKAGE = "smbus"

into the recipe or a bbappend.
Mainly the python3-prefix of the recipe, makes the name guessing fail, I suspect patches to be incoming soon

BR
Konrad

On 28.02.22 13:45, Matthias Klein wrote:
Hello,
the python3-smbus package no longer builds.
The install step ends with the following error message:
ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.
Does anyone have an idea what is the cause?
Many greetings,
Matthias


Matthias Klein
 

Hello Konrad,

Thanks for the quick feedback.

Have you been able to build the package with the change?
I get a similar error with it:

ERROR: smbus-4.3-*.whl is not a valid wheel filename.

Best reagrds,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:51
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: [yocto] python3-smbus no longer builds - Does anyone have an idea?

Hi Matthias,

this is cause by merged PEP-517 changes.
To make it build again just inject

PIP_INSTALL_PACKAGE = "smbus"

into the recipe or a bbappend.
Mainly the python3-prefix of the recipe, makes the name guessing fail, I suspect patches to be incoming soon

BR
Konrad

On 28.02.22 13:45, Matthias Klein wrote:
Hello,

the python3-smbus package no longer builds.

The install step ends with the following error message:

ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.

Does anyone have an idea what is the cause?

Many greetings,

Matthias





Konrad Weihmann <kweihmann@...>
 

On 28.02.22 13:56, Matthias Klein wrote:
Hello Konrad,
Thanks for the quick feedback.
Have you been able to build the package with the change?
I get a similar error with it:
Dang - that's the second issue being open in this series...

ERROR: smbus-4.3-*.whl is not a valid wheel filename.
Try

PYPA_WHEEL = "${PIP_INSTALL_DIST_PATH}/smbus-*-*.whl"

instead - and it should really work

Best reagrds,
Matthias
-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:51
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: [yocto] python3-smbus no longer builds - Does anyone have an idea?
Hi Matthias,
this is cause by merged PEP-517 changes.
To make it build again just inject
PIP_INSTALL_PACKAGE = "smbus"
into the recipe or a bbappend.
Mainly the python3-prefix of the recipe, makes the name guessing fail, I suspect patches to be incoming soon
BR
Konrad
On 28.02.22 13:45, Matthias Klein wrote:
Hello,

the python3-smbus package no longer builds.

The install step ends with the following error message:

ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.

Does anyone have an idea what is the cause?

Many greetings,

Matthias




Matthias Klein
 

ERROR: smbus-*-*.whl is not a valid wheel filename.


-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:59
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: AW: [yocto] python3-smbus no longer builds - Does anyone have an idea?

On 28.02.22 13:56, Matthias Klein wrote:
Hello Konrad,

Thanks for the quick feedback.

Have you been able to build the package with the change?
I get a similar error with it:
Dang - that's the second issue being open in this series...


ERROR: smbus-4.3-*.whl is not a valid wheel filename.
Try

PYPA_WHEEL = "${PIP_INSTALL_DIST_PATH}/smbus-*-*.whl"

instead - and it should really work


Best reagrds,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:51
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: [yocto] python3-smbus no longer builds - Does anyone have an idea?

Hi Matthias,

this is cause by merged PEP-517 changes.
To make it build again just inject

PIP_INSTALL_PACKAGE = "smbus"

into the recipe or a bbappend.
Mainly the python3-prefix of the recipe, makes the name guessing fail, I suspect patches to be incoming soon

BR
Konrad

On 28.02.22 13:45, Matthias Klein wrote:
Hello,

the python3-smbus package no longer builds.

The install step ends with the following error message:

ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.

Does anyone have an idea what is the cause?

Many greetings,

Matthias





Matthias Klein
 

Hello Konrad,

unfortunately it still does not build:

ERROR: smbus-*-*.whl is not a valid wheel filename.

Best regards,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:59
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: AW: [yocto] python3-smbus no longer builds - Does anyone have an idea?

On 28.02.22 13:56, Matthias Klein wrote:
Hello Konrad,

Thanks for the quick feedback.

Have you been able to build the package with the change?
I get a similar error with it:
Dang - that's the second issue being open in this series...


ERROR: smbus-4.3-*.whl is not a valid wheel filename.
Try

PYPA_WHEEL = "${PIP_INSTALL_DIST_PATH}/smbus-*-*.whl"

instead - and it should really work


Best reagrds,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:51
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: [yocto] python3-smbus no longer builds - Does anyone have an idea?

Hi Matthias,

this is cause by merged PEP-517 changes.
To make it build again just inject

PIP_INSTALL_PACKAGE = "smbus"

into the recipe or a bbappend.
Mainly the python3-prefix of the recipe, makes the name guessing fail, I suspect patches to be incoming soon

BR
Konrad

On 28.02.22 13:45, Matthias Klein wrote:
Hello,

the python3-smbus package no longer builds.

The install step ends with the following error message:

ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.

Does anyone have an idea what is the cause?

Many greetings,

Matthias





Konrad Weihmann <kweihmann@...>
 

Hi Matthias,

you're right :(

PYPA_WHEEL = "${S}/py-smbus/dist/smbus-*-*.whl"

finally does it

@Tim @Richard
PYPA_WHEEL doesn't respect SETUPTOOLS_SETUP_PATH, which might be another issue to fix

BR
Konrad

On 28.02.22 14:04, Matthias Klein wrote:
Hello Konrad,
unfortunately it still does not build:
ERROR: smbus-*-*.whl is not a valid wheel filename.
Best regards,
Matthias
-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:59
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: AW: [yocto] python3-smbus no longer builds - Does anyone have an idea?
On 28.02.22 13:56, Matthias Klein wrote:
Hello Konrad,

Thanks for the quick feedback.

Have you been able to build the package with the change?
I get a similar error with it:
Dang - that's the second issue being open in this series...


ERROR: smbus-4.3-*.whl is not a valid wheel filename.
Try
PYPA_WHEEL = "${PIP_INSTALL_DIST_PATH}/smbus-*-*.whl"
instead - and it should really work


Best reagrds,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:51
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: [yocto] python3-smbus no longer builds - Does anyone have an idea?

Hi Matthias,

this is cause by merged PEP-517 changes.
To make it build again just inject

PIP_INSTALL_PACKAGE = "smbus"

into the recipe or a bbappend.
Mainly the python3-prefix of the recipe, makes the name guessing fail, I suspect patches to be incoming soon

BR
Konrad

On 28.02.22 13:45, Matthias Klein wrote:
Hello,

the python3-smbus package no longer builds.

The install step ends with the following error message:

ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.

Does anyone have an idea what is the cause?

Many greetings,

Matthias




Matthias Klein
 

Hello Konrad,

Thank you very much!

The package is now building.
I have sent a corresponding patch.

Many greetings,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 14:11
An: Matthias Klein <matthias.klein@...>; yocto@...; Tim Orling <ticotimo@...>; Richard Purdie <richard.purdie@...>
Betreff: Re: AW: AW: [yocto] python3-smbus no longer builds - Does anyone have an idea?

Hi Matthias,

you're right :(

PYPA_WHEEL = "${S}/py-smbus/dist/smbus-*-*.whl"

finally does it

@Tim @Richard
PYPA_WHEEL doesn't respect SETUPTOOLS_SETUP_PATH, which might be another issue to fix

BR
Konrad

On 28.02.22 14:04, Matthias Klein wrote:
Hello Konrad,

unfortunately it still does not build:

ERROR: smbus-*-*.whl is not a valid wheel filename.

Best regards,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:59
An: Matthias Klein <matthias.klein@...>;
yocto@...
Betreff: Re: AW: [yocto] python3-smbus no longer builds - Does anyone have an idea?

On 28.02.22 13:56, Matthias Klein wrote:
Hello Konrad,

Thanks for the quick feedback.

Have you been able to build the package with the change?
I get a similar error with it:
Dang - that's the second issue being open in this series...


ERROR: smbus-4.3-*.whl is not a valid wheel filename.
Try

PYPA_WHEEL = "${PIP_INSTALL_DIST_PATH}/smbus-*-*.whl"

instead - and it should really work


Best reagrds,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:51
An: Matthias Klein <matthias.klein@...>;
yocto@...
Betreff: Re: [yocto] python3-smbus no longer builds - Does anyone have an idea?

Hi Matthias,

this is cause by merged PEP-517 changes.
To make it build again just inject

PIP_INSTALL_PACKAGE = "smbus"

into the recipe or a bbappend.
Mainly the python3-prefix of the recipe, makes the name guessing
fail, I suspect patches to be incoming soon

BR
Konrad

On 28.02.22 13:45, Matthias Klein wrote:
Hello,

the python3-smbus package no longer builds.

The install step ends with the following error message:

ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.

Does anyone have an idea what is the cause?

Many greetings,

Matthias





Khem Raj
 

On Mon, Feb 28, 2022 at 5:10 AM Konrad Weihmann <kweihmann@...> wrote:

Hi Matthias,

you're right :(

PYPA_WHEEL = "${S}/py-smbus/dist/smbus-*-*.whl"
this should be B instead I think


finally does it

@Tim @Richard
PYPA_WHEEL doesn't respect SETUPTOOLS_SETUP_PATH, which might be another
issue to fix

BR
Konrad

On 28.02.22 14:04, Matthias Klein wrote:
Hello Konrad,

unfortunately it still does not build:

ERROR: smbus-*-*.whl is not a valid wheel filename.

Best regards,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:59
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: AW: [yocto] python3-smbus no longer builds - Does anyone have an idea?

On 28.02.22 13:56, Matthias Klein wrote:
Hello Konrad,

Thanks for the quick feedback.

Have you been able to build the package with the change?
I get a similar error with it:
Dang - that's the second issue being open in this series...


ERROR: smbus-4.3-*.whl is not a valid wheel filename.
Try

PYPA_WHEEL = "${PIP_INSTALL_DIST_PATH}/smbus-*-*.whl"

instead - and it should really work


Best reagrds,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:51
An: Matthias Klein <matthias.klein@...>; yocto@...
Betreff: Re: [yocto] python3-smbus no longer builds - Does anyone have an idea?

Hi Matthias,

this is cause by merged PEP-517 changes.
To make it build again just inject

PIP_INSTALL_PACKAGE = "smbus"

into the recipe or a bbappend.
Mainly the python3-prefix of the recipe, makes the name guessing fail, I suspect patches to be incoming soon

BR
Konrad

On 28.02.22 13:45, Matthias Klein wrote:
Hello,

the python3-smbus package no longer builds.

The install step ends with the following error message:

ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.

Does anyone have an idea what is the cause?

Many greetings,

Matthias






Matthias Klein
 

Hello Raj,

yes, you are right, {B} works too, and looks more logical.

Thanks for adapting my patch accordingly.

Many greetings,
Matthias


-----Ursprüngliche Nachricht-----
Von: Khem Raj <raj.khem@...>
Gesendet: Montag, 28. Februar 2022 18:08
An: Konrad Weihmann <kweihmann@...>
Cc: Matthias Klein <matthias.klein@...>; yocto@...; Tim Orling <ticotimo@...>; Richard Purdie <richard.purdie@...>
Betreff: Re: [yocto] python3-smbus no longer builds - Does anyone have an idea?

On Mon, Feb 28, 2022 at 5:10 AM Konrad Weihmann <kweihmann@...> wrote:

Hi Matthias,

you're right :(

PYPA_WHEEL = "${S}/py-smbus/dist/smbus-*-*.whl"
this should be B instead I think


finally does it

@Tim @Richard
PYPA_WHEEL doesn't respect SETUPTOOLS_SETUP_PATH, which might be
another issue to fix

BR
Konrad

On 28.02.22 14:04, Matthias Klein wrote:
Hello Konrad,

unfortunately it still does not build:

ERROR: smbus-*-*.whl is not a valid wheel filename.

Best regards,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:59
An: Matthias Klein <matthias.klein@...>;
yocto@...
Betreff: Re: AW: [yocto] python3-smbus no longer builds - Does anyone have an idea?

On 28.02.22 13:56, Matthias Klein wrote:
Hello Konrad,

Thanks for the quick feedback.

Have you been able to build the package with the change?
I get a similar error with it:
Dang - that's the second issue being open in this series...


ERROR: smbus-4.3-*.whl is not a valid wheel filename.
Try

PYPA_WHEEL = "${PIP_INSTALL_DIST_PATH}/smbus-*-*.whl"

instead - and it should really work


Best reagrds,
Matthias

-----Ursprüngliche Nachricht-----
Von: Konrad Weihmann <kweihmann@...>
Gesendet: Montag, 28. Februar 2022 13:51
An: Matthias Klein <matthias.klein@...>;
yocto@...
Betreff: Re: [yocto] python3-smbus no longer builds - Does anyone have an idea?

Hi Matthias,

this is cause by merged PEP-517 changes.
To make it build again just inject

PIP_INSTALL_PACKAGE = "smbus"

into the recipe or a bbappend.
Mainly the python3-prefix of the recipe, makes the name guessing
fail, I suspect patches to be incoming soon

BR
Konrad

On 28.02.22 13:45, Matthias Klein wrote:
Hello,

the python3-smbus package no longer builds.

The install step ends with the following error message:

ERROR: python3_smbus-4.3-*.whl is not a valid wheel filename.

Does anyone have an idea what is the cause?

Many greetings,

Matthias